Skip to main content
GET
Haptic Script Status

Authorizations

Authorization
string
header
required

Short-lived session token obtained from POST /api/sessions/v2. Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.

Headers

X-Device-Key
string
required

Device Key (4 BIP39 words) identifying the target device. Obtain it from POST /device/otp/confirm/v2.

Pattern: ^[a-z]+-[a-z]+-[a-z]+-[a-z]+$
Example:

"alpha-bravo-charlie-delta"

Response

200 - application/json

OK

Status of the haptic script on the device.

is_playing
boolean
required

Whether the script is currently playing.

Example:

true

script_position
number

The current position of the stroker in the script. Range: [0, 10000).

Example:

50

script_time
number

The current time in milliseconds of the script playback.

Example:

1000